cc.Class({
    extends: cc.Component,

    properties: {
        prefab: cc.Prefab,
        addNode: cc.Node,
        _num: 0,
        numLabel: cc.Label,
        _pool: [],
    },


    onLoad() {
    },
    onClick() {
        let size = cc.view.getDesignResolutionSize();
        for (let i = 0; i < 5000; i++) {
            let node = cc.instantiate(this.prefab);
            node.x = Math.random() * size.width - size.width / 2;
            node.y = Math.random() * size.height - size.height / 2;
            this.addNode.addChild(node);
            this._pool.push(node)
            this._num++;
            this.numLabel.string = this._num;
        }
    },

    onClickDestroy() {
        for (let i = 0; i < this._pool.length; i++) {
            let item = this._pool[i];
            item.destroy();
        }
        this._pool = [];
        this._num = 0;
        this.numLabel.string = this._num;
        cc.sys.garbageCollect()
    },

    start() {

    },

    // update (dt) {},
});
